# Get the billing report (internal) **POST /billing/report** Returns the organization's billing charges in a date window, grouped by case, with charged, plan-included, waived or voided, failed and refunded totals; the window defaults to the current billing period up to now and can be limited to some cases. With `format: 'pdf'` it renders the report as a PDF and returns the stored file and a time-limited download URL instead of the data. Requires an org admin, owner or billing role; returns 404 while billing reports are turned off and 400 for a start date after the end date or more than 50,000 rows. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Headers - **organization** (string) id of the selected (active) organization ### Body: application/json (object) - **caseIds** (array[string]) Defaults to all cases - **startDate** (string(date-time)) Defaults to the start of the organization's current billing cadence period - **endDate** (string(date-time)) Defaults to now - **format** (string) ## Responses ### 200 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)